\usepackage{fancyhdr}
\usepackage{lastpage}
\usepackage{etoc}

\renewcommand{\etocaftertitlehook}{\pagestyle{@style}}
\renewcommand{\etocaftertochook}{\thispagestyle{@style}}

\renewcommand{\headrulewidth}{0pt}
\renewcommand{\footrulewidth}{0pt}

\setlength{\headheight}{30mm}
\setlength{\headsep}{32pt}
\setlength{\footskip}{1cm}

\fancypagestyle{plain}{
    \fancyhf{}
    \lhead{}
    \rhead{}
    \lfoot{\small \sffamily \color{gray} @dateformat.fr(date)}
    \cfoot{
      \small \sffamily \color{gray}
      @company.status - Capital de @company.capital - SIRET : @company.siret \\
      NAF-APE : @company.naf_ape - RCS/RM : @company.rcs_rm - Num. TVA : @company.vat
    }
    \rfoot{
      \small \sffamily \color{gray} \thepage\ / \pageref*{LastPage}
    }
    \renewcommand{\headrulewidth}{0pt}
    \renewcommand{\footrulewidth}{0pt}
}
\pagestyle{plain}